> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeUsersFromSupplementalPayPeriod

> The `removeUsersFromSupplementalPayPeriod` API is used to remove employees from a supplemental pay period after they have been added.

### When to use:
- When correcting supplemental payroll mistakes before submission
- When removing accidental bonus or adjustment entries

### Notes:
- Cannot remove all employees - at least one must remain
- If you wish to remove all employees, instead use the `skipPayPeriod` API.



## OpenAPI

````yaml post /payroll/removeUsersFromSupplementalPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/removeUsersFromSupplementalPayPeriod:
    post:
      tags: []
      summary: removeUsersFromSupplementalPayPeriod
      description: >-
        The `removeUsersFromSupplementalPayPeriod` API is used to remove
        employees from a supplemental pay period after they have been added.


        ### When to use:

        - When correcting supplemental payroll mistakes before submission

        - When removing accidental bonus or adjustment entries


        ### Notes:

        - Cannot remove all employees - at least one must remain

        - If you wish to remove all employees, instead use the `skipPayPeriod`
        API.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollLineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      reason:
                        description: optional
                        type: string
                    required:
                      - userId
              required:
                - method
                - companyId
                - payPeriodId
                - payrollLineItems
            example:
              method: removeUsersFromSupplementalPayPeriod
              companyId: C8D57032-BF6F-4510-AA41-08A358365531
              payPeriodId: 4083B766-8F3A-4A23-ABB7-FB67FA1F97D3
              payrollLineItems:
                - userId: 7DDB8A83-29D5-4454-9467-53CC80307139
                  reason: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItems:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - message
                required:
                  - payrollLineItems
              example:
                payrollLineItems:
                  - userId: 7DDB8A83-29D5-4454-9467-53CC80307139
                    status: Removed
                    message: >-
                      The PayrollLineItem for Const Jonas has been removed
                      successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: UserId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````